### Function

# JavaScriptCore ClassEnumeratePropertiesFunction

#### Declaration

    gchar**
    (* JSCClassEnumeratePropertiesFunction) (
      JSCClass* jsc_class,
      JSCContext* context,
      gpointer instance
    )

#### Description [src]

The type of enumerate_properties in `JSCClassVTable`. This is only required when you need to handle external properties not added to the prototype.

#### Parameters

`jsc_class` | `JSCClass`
| A `JSCClass`.
| The data is owned by the caller of the function.
`context` | `JSCContext`
| A `JSCContext`.
| The data is owned by the caller of the function.
`instance` | `gpointer`
| The `jsc_class` instance.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | An array of `utf8`
| A `NULL`-terminated array of strings containing the property names, or `NULL` if `instance` doesn’t have enumerable properties.
| The array is `NULL`-terminated.
| The caller of the function takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.
| Each element is a NUL terminated UTF-8 string.